{% extends web.template ~ '/layout.twig.html' %}
{% block slider %}{% endblock %}
{% block content %}
<div class="container mt-4">
  <div class="row">
    <div class="col-md-6 col-lg-7">
      {% if node.with_image %}
      <div class="text-center field-image">
      <p><img src="{{node.image_medium}}" alt="{{node.title}}"></p>
      </div>
      {% endif %}
    </div>
    <div class="col-md-6 col-lg-5">
      <h1 class="text-center">{{node.title}}</h1>
      <p class="text-muted">{{node.summary|safe}}</p>
      <p class="text-center h3 d-none d-md-block mb-3" title="Duration"><i class="fa fa-clock-o"></i> {{node.duration}}</p>
      {% if node.price %}
      <p class="text-center h3 d-none d-md-block">{{node.money}} <b>{{node.price}}</b>&nbsp;<small>x person</small></p>
      {% endif %}
      <p class="text-center h1 d-none d-md-block"><a class="btn btn-main btn-lg trans" data-trans="2" href="{{page.book_tour}}?item={{node.title}}">BOOK NOW</a>&nbsp;<a class="btn btn-opposite btn-lg trans" data-trans="1" href="{{page.contact_us}}?item={{node.title}}">CONTACT US</a></p>
    </div>
  </div>
  <div class="d-lg-none row text-center">
    <div class="col-sm-7">
    <div class="row mt-2">
      {% if node.price %}<div class="col-6"><p><b>{{node.money}}</b> {{node.price}}</p> </div>{% endif %}
      <div class="col-6"><p>{{node.duration}}</p></div>
    </div>
    </div>
    <div class="col-sm-5">
      <a class="btn btn-main btn-md trans" data-trans="2" href="{{page.book_tour}}?item={{node.title}}">BOOK NOW</a> &nbsp; <a class="btn btn-warning btn-md trans" data-trans="1" href="{{page.contact_us}}?item={{node.title}}">CONTACT US</a>
    </div>
  </div>
<script type="text/javascript">var payNow = {title: '{{page.name}}',currency: '{{node.money}}',description: '{{node.title}} ({{node.duration}})'}</script>
<div class="tours-tabs">
  <ul class="nav nav-tabs flex-column flex-sm-row mt-3" role="tablist">
    <li class="nav-item">
      <a class="nav-link active" data-toggle="tab" href="#itinerary" role="tab"><i class="fa fa-book"></i>&nbsp; <span class="trans"  data-trans="8">Itinerary</span></a>
    </li>
    <li class="nav-item">
      <a class="nav-link" data-toggle="tab" href="#include_not_include" role="tab"><i class="fa fa-check-square-o"></i> &nbsp;<span class="trans"  data-trans="9">Include / Not Include</span></a>
    </li>
    <li class="nav-item">
      <a class="nav-link" data-toggle="tab" href="#recommendations" role="tab"><i class="fa fa-info-circle"></i>&nbsp; <span class="trans"  data-trans="10">Recommendations</span></a>
    </li>
  </ul>
  <div class="tab-content">
    <div class="tab-pane active" id="itinerary" role="tabpanel">{{node.body|safe}}</div>
    <div class="tab-pane" id="include_not_include" role="tabpanel">{{node.include|safe}}</div>
    <div class="tab-pane" id="recommendations" role="tabpanel">{{node.useful_information|safe}}</div>
  </div>
</div>
</div>

{% endblock %}
{% block blocks %}{% endblock %}
{% block front %}{% endblock %}
{% block css_js %}
{% if web.acceptPayments() %}
<script>
function amountValid(form){
  var a = form.value,  amount = parseFloat(a);
  if (isNaN(amount) && amount < 1)
  {
    form.className = "form-control form-control-danger";
    document.getElementById("payNow").className = "has-danger";
    return 0;
  }
  form.className = "form-control";
  document.getElementById("payNow").className = "";
  return a * 100;
}
form = document.getElementById('amountCulqi');
$('#payNowCulqi').on('click', function (e) {
  amount = amountValid(form);
  if ( amount > 0 )
  {
    payNow["amount"] = amount;
    Culqi.settings(payNow);
    Culqi.open();
  }
  e.preventDefault();
});
function culqi() {
  var pay_wrapper = document.getElementById("payNow");
  if (Culqi.error) {
      console.log(Culqi.error);
      pay_wrapper.innerHTML = Culqi.error.mensaje;
      pay_wrapper.className = "alert alert-danger";
  } else {
      pay_wrapper.innerHTML = "Success TOKEN: " + Culqi.token.id;
      pay_wrapper.className = "alert alert-success";
  }
};
</script>
{% endif %}
{% endblock %}